#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeplasmaver	5.27.10
%define		qtver		5.15.2
%define		kpname		kde-cli-tools
Summary:	Tools based on KDE Frameworks 5 to better interact with the system
Name:		kp5-%{kpname}
Version:	5.27.10
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	30797f3809675e61542518f9b15be2c3
URL:		https://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	cmake >= 3.16.0
BuildRequires:	kf5-extra-cmake-modules >= 1.4.0
BuildRequires:	kf5-kcmutils-devel
BuildRequires:	kf5-kconfig-devel
BuildRequires:	kf5-kdelibs4support-devel
BuildRequires:	kf5-kdesu-devel
BuildRequires:	kf5-kemoticons-devel
BuildRequires:	kf5-ki18n-devel
BuildRequires:	kf5-kiconthemes-devel
BuildRequires:	kf5-kitemmodels-devel
BuildRequires:	kf5-kpty-devel
BuildRequires:	kf5-kwindowsystem-devel
BuildRequires:	kp5-plasma-workspace-devel >= %{version}
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tools based on KDE Frameworks 5 to better interact with the system.

%prep
%setup -q -n %{kpname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DHTML_INSTALL_DIR=%{_kdedocdir}
%ninja_build -C build

%if %{with tests}
ctest
%endif

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build
rm -rf $RPM_BUILD_ROOT%{_kdedocdir}/{sr,sr@latin}

%find_lang kde-cli-tools --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f kde-cli-tools.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kbroadcastnotification
%attr(755,root,root) %{_bindir}/kcmshell5
%attr(755,root,root) %{_bindir}/kde-open5
%attr(755,root,root) %{_bindir}/kdecp5
%attr(755,root,root) %{_bindir}/kdemv5
%attr(755,root,root) %{_bindir}/keditfiletype5
%attr(755,root,root) %{_bindir}/kinfo
%attr(755,root,root) %{_bindir}/kioclient5
%attr(755,root,root) %{_bindir}/kmimetypefinder5
%attr(755,root,root) %{_bindir}/kstart5
%attr(755,root,root) %{_bindir}/ksvgtopng5
%attr(755,root,root) %{_bindir}/ktraderclient5
%attr(755,root,root) %{_bindir}/kde-open
%attr(755,root,root) %{_bindir}/kdecp
%attr(755,root,root) %{_bindir}/kdemv
%attr(755,root,root) %{_bindir}/keditfiletype
%attr(755,root,root) %{_bindir}/kioclient
%attr(755,root,root) %{_bindir}/kmimetypefinder
%attr(755,root,root) %{_bindir}/kstart
%attr(755,root,root) %{_bindir}/ksvgtopng
%attr(755,root,root) %{_libexecdir}/kf5/kdeeject
%attr(755,root,root) %{_libexecdir}/kf5/kdesu
%attr(755,root,root) %{_bindir}/plasma-open-settings
%{_desktopdir}/org.kde.plasma.settings.open.desktop
%{_mandir}/man1/kdesu.1*
%lang(ca) %{_mandir}/ca/man1/kdesu.1*
%lang(de) %{_mandir}/de/man1/kdesu.1*
%lang(es) %{_mandir}/es/man1/kdesu.1*
%lang(et) %{_mandir}/et/man1/kdesu.1*
%lang(id) %{_mandir}/id/man1/kdesu.1*
%lang(it) %{_mandir}/it/man1/kdesu.1*
%lang(nb) %{_mandir}/nb/man1/kdesu.1*
%lang(nl) %{_mandir}/nl/man1/kdesu.1*
%lang(pt) %{_mandir}/pt/man1/kdesu.1*
%lang(pt_BR) %{_mandir}/pt_BR/man1/kdesu.1*
%lang(ru) %{_mandir}/ru/man1/kdesu.1*
%lang(sr) %{_mandir}/sr/man1/kdesu.1*
%lang(sv) %{_mandir}/sv/man1/kdesu.1*
%lang(uk) %{_mandir}/uk/man1/kdesu.1*
%{_desktopdir}/org.kde.keditfiletype.desktop
%attr(755,root,root) %{_bindir}/kde-inhibit
%lang(fr) %{_mandir}/fr/man1/kdesu.1*
%lang(tr) %{_mandir}/tr/man1/kdesu.1*
%{_libdir}/qt5/plugins/plasma/kcms/systemsettings_qwidgets/kcm_filetypes.so
%{_desktopdir}/kcm_filetypes.desktop
%changelog
* Sat Dec 16 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp5-kde-cli-tools.git;a=log;h=master

* Wed Dec 06 2023 Witold Filipczyk <witekfl@poczta.onet.pl> fe156e9
- updated to 5.27.10

* Wed Oct 25 2023 Witold Filipczyk <witekfl@poczta.onet.pl> cc0f92b
- updated to 5.27.9

* Thu Sep 14 2023 Witold Filipczyk <witekfl@poczta.onet.pl> edeec52
- I pasted line with kde-portals.conf in wrong spec
- rel 2

* Wed Sep 13 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 5072266
- updated to 5.27.8

* Wed Aug 02 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 7732d4c
- updated to 5.27.7; cmake -B build

* Wed Jun 21 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 2db55bb
- updated to 5.27.6

* Mon Jun 19 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 8dc9c1c
- rebuild against QT 5.15.10

* Fri May 12 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 9be5652
- package %{_bindir}/kinfo

* Fri May 12 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 47806f8
- relup

* Wed May 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 3624c1f
- updated to 5.27.5

* Mon Apr 10 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 14a3f81
- relup

* Sun Apr 09 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 3429c15
- rebuild against QT 5.15.9

* Wed Apr 05 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> f0b5756
- relup

* Tue Apr 04 2023 Witold Filipczyk <witekfl@poczta.onet.pl> fb59899
- updated to 5.27.4

* Wed Mar 15 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 3ffd1da
- updated to 5.27.3

* Wed Mar 01 2023 Witold Filipczyk <witekfl@poczta.onet.pl> d811c08
- updated to 5.27.2

* Wed Feb 22 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 00315a2
- updated to 5.27.1

* Tue Feb 14 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 9041004
- updated to 5.27.0

* Wed Jan 04 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 1d6ef2f
- updated to 5.26.5

* Wed Nov 30 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> c47e9e7
- relup

